org.jboss.resteasy.util

## Class StringContextReplacement

- java.lang.Object
- - org.jboss.resteasy.util.StringContextReplacement

-     public class StringContextReplacement
      extends Object

  Utility to replace predefined expressions within a string with values from the HTTP request;

  ${basepath} - UriInfo.getBaseUri().getRawPath() ${absolutepath} - UriInfo.getAbsolutePath().getRawPath() ${absoluteuri} - UriInfo.getAbsolutePath().toString() ${baseuri} - UriInfo.getBaseUri().toString() ${contextpath} - HttpServletRequest.getContextPath()
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringContextReplacement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `replace(String original)` Utility to replace predefined expressions within a string with values from the HTTP request; ${basepath} - UriInfo.getBaseUri().getRawPath() ${absolutepath} - UriInfo.getAbsolutePath().getRawPath() ${absoluteuri} - UriInfo.getAbsolutePath().toString() ${baseuri} - UriInfo.getBaseUri().toString() ${contextpath} - HttpServletRequest.getContextPath()

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringContextReplacement

          public StringContextReplacement()

  - ### Method Detail

    - #### replace

          public static String replace(String original)

      Utility to replace predefined expressions within a string with values from the HTTP request;

      ${basepath} - UriInfo.getBaseUri().getRawPath() ${absolutepath} - UriInfo.getAbsolutePath().getRawPath() ${absoluteuri} - UriInfo.getAbsolutePath().toString() ${baseuri} - UriInfo.getBaseUri().toString() ${contextpath} - HttpServletRequest.getContextPath()
      Parameters:
        `original` -
      Returns:

Copyright © 2014. All Rights Reserved.